Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class TriangleFoldPainter

    java.lang.Object
      org.gjt.sp.jedit.textarea.TriangleFoldPainter

All Implemented Interfaces:
  FoldPainter

    public class TriangleFoldPainter

extends java.lang.Object
implements FoldPainter

Constructor Summary
`TriangleFoldPainter()`

Method Summary
`void` | `paintFoldEnd(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, int y, int lineHeight, JEditBuffer buffer)` Paints the end of a fold in the gutter.
`void` | `paintFoldMiddle(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, int y, int lineHeight, JEditBuffer buffer)` Paints the middle of a fold (single line) in the gutter.
`void` | `paintFoldStart(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, boolean nextLineVisible, int y, int lineHeight, JEditBuffer buffer)` Paints the beginning of a fold in the gutter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriangleFoldPainter

    public TriangleFoldPainter()

Method Detail

### paintFoldStart

    public void paintFoldStart(Gutter gutter,
                               java.awt.Graphics2D gfx,
                               int screenLine,
                               int physicalLine,
                               boolean nextLineVisible,
                               int y,
                               int lineHeight,
                               JEditBuffer buffer)

  Description copied from interface: `FoldPainter`
  Paints the beginning of a fold in the gutter.

  Specified by:
    `paintFoldStart` in interface `FoldPainter`
  Parameters:
    `gutter` - The gutter in which the fold is drawn.
    `gfx` - The graphics object to use for the painting.
    `screenLine` - The index of the line on the screen (e.g. 5th from top).
    `physicalLine` - The index of the line in the buffer.
    `nextLineVisible` - Whether the next buffer line is visible on screen.
    `y` - The y coordinate of the top of the line on the screen.
    `lineHeight` - The line height in pixels.
    `buffer` - The buffer to which the line belongs.

### paintFoldEnd

    public void paintFoldEnd(Gutter gutter,
                             java.awt.Graphics2D gfx,
                             int screenLine,
                             int physicalLine,
                             int y,
                             int lineHeight,
                             JEditBuffer buffer)

  Description copied from interface: `FoldPainter`
  Paints the end of a fold in the gutter.

  Specified by:
    `paintFoldEnd` in interface `FoldPainter`
  Parameters:
    `gutter` - The gutter in which the fold is drawn.
    `gfx` - The graphics object to use for the painting.
    `screenLine` - The index of the line on the screen (e.g. 5th from top).
    `physicalLine` - The index of the line in the buffer.
    `y` - The y coordinate of the top of the line on the screen.
    `lineHeight` - The line height in pixels.
    `buffer` - The buffer to which the line belongs.

### paintFoldMiddle

    public void paintFoldMiddle(Gutter gutter,
                                java.awt.Graphics2D gfx,
                                int screenLine,
                                int physicalLine,
                                int y,
                                int lineHeight,
                                JEditBuffer buffer)

  Description copied from interface: `FoldPainter`
  Paints the middle of a fold (single line) in the gutter.

  Specified by:
    `paintFoldMiddle` in interface `FoldPainter`
  Parameters:
    `gutter` - The gutter in which the fold is drawn.
    `gfx` - The graphics object to use for the painting.
    `screenLine` - The index of the line on the screen (e.g. 5th from top).
    `physicalLine` - The index of the line in the buffer.
    `y` - The y coordinate of the top of the line on the screen.
    `lineHeight` - The line height in pixels.
    `buffer` - The buffer to which the line belongs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD